{
  "name": "@elliot23/goodsigns-frontend",
  "version": "0.9.5-beta.15",
  "private": true,
  "description": "",
  "bugs": {
    "url": "https://gitlab.com/elliot23/goodsigns/frontend/-/issues"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/elliot23/goodsigns/frontend.git"
  },
  "author": "Dmitriy Maziuk",
  "main": "index.js",
  "scripts": {
    "audit": "improved-yarn-audit --ignore-dev-deps --min-severity moderate",
    "build": "yarn generate:env --m=production && nuxt build",
    "build:check": "yarn build --analyze",
    "check:prettier": "yarn lint:prettier --list-different",
    "clean": "yarn clean:build && yarn clean:test",
    "clean:build": "rimraf dist .nuxt .eslintcache .env*",
    "clean:test": "rimraf test/fixtures/*/dist test/fixtures/*/.nuxt*/",
    "coverage": "nyc yarn test",
    "coverage1": "nyc report",
    "coverage2": "codecov",
    "cy:open": "cypress open",
    "cy:run": "cypress run",
    "dev": "yarn generate:env --m=development && nuxt",
    "docs:build": "vuepress build docs",
    "docs:dev": "vuepress dev docs",
    "format:prettier": "yarn lint:prettier --write --loglevel warn",
    "generate": "yarn generate:env --m=production --o=false && yarn generate:routes && nuxt generate",
    "generate:env": "node bin/env-generator.js",
    "generate:routes": "node bin/routes-generator.js",
    "lint": "run-p lint:all:*",
    "lint:all:eslint": "yarn lint:eslint --fix",
    "lint:all:markdownlint": "yarn lint:markdownlint",
    "lint:all:stylelint": "yarn lint:stylelint --fix",
    "lint:eslint": "eslint --ext .js,.vue .",
    "lint:markdownlint": "markdownlint  \"*.md\"",
    "lint:prettier": "prettier  \"**/*.{js,json,css,scss,vue,html,md}\"",
    "lint:stylelint": "stylelint \"**/*.{vue,scss}\"",
    "new": "hygen new",
    "post-update": "yarn upgrade-interactive --latest",
    "postinstall1": "yarn requirements-check",
    "postinstall2": "yarn requirements-check && yarn dev",
    "release": "standard-version && git push --follow-tags",
    "release:beta": "standard-version -p beta && git push --follow-tags",
    "release:pack": "yarn pack && standard-version",
    "requirements-check": "babel-node bin/check-version.js",
    "start": "nuxt start",
    "test:e2e:dev": "start-server-and-test dev http://localhost:3000 cy:open",
    "test:e2e:run": "start-server-and-test start http://localhost:3000 cy:run",
    "validate": "renovate-config-validator"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged",
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS -g './config/git/commitlint.js'"
    }
  },
  "lint-staged": {
    "*.{js,json,css,vue,md}": "prettier --write",
    "*.{js,vue}": "eslint --fix",
    "*.{md}": "markdownlint"
  },
  "config": {
    "commitizen": {
      "path": "node_modules/cz-customizable"
    },
    "cz-customizable": {
      "config": "config/git/commitizen.js"
    }
  },
  "resolutions": {
    "sass-loader": "7.1.0"
  },
  "dependencies": {
    "@naumstory/nuxtjs-yandex-metrika": "^1.0.5",
    "@nuxt/content": "^1.8.1",
    "@nuxtjs/apollo": "^4.0.1-rc.3",
    "@nuxtjs/auth": "^4.9.1",
    "@nuxtjs/pwa": "^3.1.0",
    "@nuxtjs/recaptcha": "^0.6.2",
    "@nuxtjs/robots": "^2.4.2",
    "@nuxtjs/sitemap": "^2.4.0",
    "@nuxtjs/style-resources": "^1.0.0",
    "@nuxtjs/vendor": "^1.1.7",
    "@nuxtjs/youch": "^4.2.3",
    "animate.css": "^4.1.1",
    "apollo-cache-inmemory": "^1.6.6",
    "apollo-link": "^1.2.14",
    "apollo-link-http": "^1.5.17",
    "axios": "^0.20.0",
    "axios-cache-adapter": "^2.5.0",
    "axios-extensions": "^3.1.2",
    "bcrypt": "^5.0.0",
    "body-parser": "^1.19.0",
    "chalk": "^4.1.0",
    "chalk-table": "^1.0.2",
    "chart.js": "^2.9.3",
    "compression": "^1.7.4",
    "consola": "^2.15.0",
    "core-js": "^3.6.5",
    "cross-env": "^7.0.2",
    "deepmerge": "^4.2.2",
    "defu": "^3.1.0",
    "dotenv-flow": "^3.2.0",
    "envinfo": "^7.5.1",
    "fibers": "^5.0.0",
    "getenv": "^1.0.0",
    "global": "^4.4.0",
    "graphql": "^15.3.0",
    "graphql-tag": "^2.11.0",
    "gsap": "^3.5.1",
    "improved-yarn-audit": "^2.3.1",
    "inputmask": "^5.0.5",
    "jsonwebtoken": "^8.5.1",
    "lorem-ipsum": "^2.0.3",
    "lru-cache": "^6.0.0",
    "minify-css-string": "^1.0.0",
    "minimist": "^1.2.5",
    "mongoose": "^5.10.8",
    "murmurhash-native": "^3.5.0",
    "nats": "^1.4.9",
    "node-sass": "^4.14.1",
    "nuxt": "^2.14.4",
    "nuxt-compress": "^3.0.0",
    "nuxt-i18n": "^6.13.12",
    "nuxt-memwatch": "^0.1.2",
    "nuxt-property-decorator": "^2.8.8",
    "nuxt-session": "^1.0.3",
    "nuxt-svg-loader": "^1.2.0",
    "nuxt-sweetalert2": "^1.0.0",
    "nuxt-webfontloader": "^1.1.0",
    "progress": "^2.0.3",
    "redis": "^3.0.2",
    "sass": "^1.26.12",
    "semver": "^7.3.2",
    "socket.io": "^2.3.0",
    "socket.io-client": "^2.3.1",
    "sofa-api": "^0.9.0",
    "typescript": "^4.0.3",
    "vanilla-tilt": "^1.7.0",
    "vue-animejs": "^2.1.1",
    "vue-cookieconsent-component": "^1.2.0",
    "vue-if-bot": "^1.2.0",
    "vueisotope": "^3.1.2",
    "vuelidate": "^0.7.5",
    "vuetify-loader": "^1.6.0",
    "vuex-persist": "^3.1.3",
    "yaml": "^1.10.0",
    "yargs": "^16.0.3"
  },
  "devDependencies": {
    "@commitlint/cli": "^11.0.0",
    "@commitlint/config-conventional": "^11.0.0",
    "@mdi/font": "^5.5.55",
    "@nuxtjs/eslint-config": "^3.1.0",
    "@nuxtjs/eslint-module": "^2.0.0",
    "@nuxtjs/moment": "^1.6.1",
    "@nuxtjs/stylelint-module": "^4.0.0",
    "@nuxtjs/vuetify": "^1.11.2",
    "@vue/eslint-config-prettier": "^6.0.0",
    "babel-core": "7.0.0-bridge.0",
    "babel-eslint": "^10.1.0",
    "babel-plugin-module-resolver": "^4.0.0",
    "babel-plugin-transform-require-ignore": "^0.1.1",
    "browser-env": "^3.3.0",
    "chokidar-cli": "^2.1.0",
    "codecov": "^3.8.0",
    "cypress": "^5.3.0",
    "cz-conventional-changelog": "^3.2.0",
    "cz-customizable": "^6.2.0",
    "deepmerge": "^4.2.2",
    "eslint": "^7.8.1",
    "eslint-config-prettier": "^6.11.0",
    "eslint-plugin-cypress": "^2.11.2",
    "eslint-plugin-nuxt": "^1.0.0",
    "eslint-plugin-prettier": "^3.1.4",
    "fibers": "^5.0.0",
    "git-format-staged": "^2.1.0",
    "globby": "^11.0.1",
    "husky": "^4.3.0",
    "hygen": "^6.0.4",
    "jsdom": "^16.2.2",
    "jsdom-global": "^3.0.2",
    "lint-staged": "^10.3.0",
    "markdownlint-cli": "^0.24.0",
    "morgan": "^1.10.0",
    "nodemon": "^2.0.4",
    "npm-run-all": "^4.1.5",
    "nuxt-purgecss": "^1.0.0",
    "nuxt-webpackdashboard": "^2.0.1",
    "nyc": "^15.0.1",
    "precise-commits": "^1.0.2",
    "prettier": "^2.0.5",
    "prettier-eslint": "^11.0.0",
    "pretty-quick": "^3.0.0",
    "renovate": "^23.41.2",
    "require-extension-hooks": "^0.3.3",
    "require-extension-hooks-babel": "^1.0.0",
    "require-extension-hooks-vue": "^3.0.0",
    "rimraf": "^3.0.2",
    "standard-version": "^9.0.0",
    "start-server-and-test": "^1.11.4",
    "stylelint": "^13.7.0",
    "stylelint-config-idiomatic-order": "^8.1.0",
    "stylelint-config-prettier": "^8.0.2",
    "stylelint-config-standard": "^20.0.0",
    "stylelint-scss": "^3.18.0",
    "uuid": "^8.3.1",
    "vuepress": "^1.5.4"
  },
  "engines": {
    "node": ">=12",
    "npm": ">=6"
  },
  "maintainers": [
    {
      "name": "Dmitriy Maziuk",
      "email": "info@ma23.ru",
      "url": "https://ma23.ru",
      "git-cz": "npx git-cz"
    }
  ]
}
